Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06166 Sound Minor Always Mar 28, 2016, 16:38 Feb 28, 2021, 11:59
Tester StHiryu View Status Public Platform
Assigned To aaron Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver megadriv.cpp
Version 0.171 Fixed in Version 0.230 Build 64-bit
Fixed in Git Commit 95869d5 Github Pull Request # #7808
Summary MESS-specific 06166: megadriv [batman]: Bad emulated sound effects when hitting the enemies
Description Whe you hit enemies with a punch or with a kick when crouching, the sound is different with the real megadrive batman cartridge. I didn't noticed no other bug regarding sound effects. Tested with a real megadrive and the original cartridge.

(Only tested the euro version, may exist in other regions)

Edit; Tested in Exodus emulator, the sounds effects are correct
Steps To Reproduce Just play at any moment of the game and press the hit buttom.
Additional Information I've found some videos on youtube where you can see the issue:

Correct sound effect (Maybe recorded on a real console or another emu):


Incorrect sound effect:
Github Commit
Flags Verified with Original
Regression Version 0.134
Affected Sets / Systems megadriv [batman]
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.18049
StHiryu
Tester
Oct 9, 2020, 13:26
Found regression version --> Mess 0.134b. The effects work fine in 0,133b,
User avatar
No.18493
StHiryu
Tester
Feb 27, 2021, 17:36
Fixed in commit 95869d57181d6b6d38ec9511374c2c3e1de9f6cf
User avatar
No.18500
Robbbert
Developer
Feb 28, 2021, 11:59
Resolving at your word.